<?
$main_section = "settings";
$item_id = 3;

require ("../../vars.inc.php");
require ("admin.inc.php");
require ("../../admin/function.inc.php");
require ($INCLUDE_FOLDER."s_loadenv.inc.php");

if (is_file($MODULE_FOLDER."stats/".MAIN_LANG.".lang.php"))
{
  require_once($MODULE_FOLDER."stats/".MAIN_LANG.".lang.php");
}
else
{
  require_once($MODULE_FOLDER."stats/en.lang.php");
}

$stats_cat_id = stats_IsOneCatalogue();

if ( $stats_cat_id != FALSE )
{
  $cat_id = $stats_cat_id;
  if ($phase == 0)
  {
    $phase = 9;
  }
}

$Delimeter = " &gt ";
$Title1 = NETCAT_MODULE_STATS;
$Title2 = "<a href=/netcat/admin/modules/>".NETCAT_MODULES."</a>";
$Title3 = "<a href='/netcat/modules/stats/admin.php'>".$Title1."</a>";
if (isset($cat_id) && $cat_id != 0)
  $Title4 = $Title2.$Delimeter.$Title3.$Delimeter.GetCatalogueNameByID($cat_id);

if ( !($perm->isSupervisor() || $perm->isGuest()) ) {
   BeginHtml ($Title1, $Title2.$Delimeter.$Title1, "http://".$DOC_DOMAIN."/settings/modules/");
   print $NO_RIGHTS_MESSAGE;
   EndHtml ();
   exit;
}

LoadModuleEnv();

$phase+=0;

stats_CreateReports();

if (isset($cat_id) && $cat_id != 0)
{
  BeginHtml($Title1, $Title4, "http://".$DOC_DOMAIN."/settings/modules/");
}
else 
{
  BeginHtml($Title1, $Title2.$Delimeter.$Title1, "http://".$DOC_DOMAIN."/settings/modules/");
}

if ($date_start_y && $date_start_m && $date_start_d) $date_start = $date_start_y."-".$date_start_m."-".$date_start_d;
if ($date_end_y && $date_end_m && $date_end_d) $date_end = $date_end_y."-".$date_end_m."-".$date_end_d;

if (!$date_start) $date_start = date("Y-m-d");
if (!$date_end) $date_end = date("Y-m-d");

$date_start_y = substr($date_start,0,4);
$date_start_m = substr($date_start,5,2);
$date_start_d = substr($date_start,8,2);

$date_end_y = substr($date_end,0,4);
$date_end_m = substr($date_end,5,2);
$date_end_d = substr($date_end,8,2);

if ($phase != 0)
{
  Stats_NavBar();
}


switch ($phase) {
  case 0: stats_ShowCatalogues(); break;
  case 1:
 stats_ShowReportAttendance($date_start,$date_end); break;
  case 2:
 stats_ShowReportPopularity($date_start,$date_end); break;
  case 3:
 stats_ShowReportReferer($date_start,$date_end); break;
  case 4:
 stats_ShowReportBrowser($date_start,$date_end); break;
  case 5:
 stats_ShowReportOS($date_start,$date_end); break;
  case 6:
 stats_ShowReportIP($date_start,$date_end); break;
  case 7:
 stats_ShowReportGeo($date_start,$date_end); break;
  case 10:
 stats_ShowReportPhrases($date_start, $date_end); break;
  case 8: stats_ShowReportTotal();
 stats_ClearStats(); break;
  case 9: stats_ShowReportTotal(); break;
}


EndHtml ();

?>